<script lang="ts">
	import { slide } from 'svelte/transition';
	import Input from './Input.svelte';

	export let items: string[] = [];
	export let selected: string = '';
	export let label: string = '';

	let search = selected ?? '';

	let focus = false;
</script>

<div class="relative w-full flex flex-col">
	<Input {label} bind:value={search} bind:active={focus} on:change on:input />
	{#if focus}
		<div
			class="absolute top-full left-0 shadow-xl transition-all w-full z-[9999] bg-light-surface-500 border-2 border-black rounded-lg"
			transition:slide
		>
			<!-- {#each items.filter((item) => item.toLowerCase().includes(search.toLowerCase())) as item} -->
			{#each items as item}
				<button
					class="flex flex-row items-center justify-between w-full p-2 border-b border-primary-500"
					on:click={() => {
						selected = item;
						search = item;
						focus = false;
					}}
				>
					<span class="w-full text-center">{item}</span>
				</button>
			{/each}
		</div>
	{/if}
</div>
